boost::geometry::resolve_variant::variant< BOOST_VARIANT_ENUM_PARAMS(T2)>> Struct Template Reference

List of all members.

## Classes

struct | visitor

## Static Public Member Functions

template<typename Strategy >
static bool | apply (boost::variant< BOOST_VARIANT_ENUM_PARAMS(T1)> const &geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T2)> const &geometry2, Strategy const &strategy)

### template<BOOST_VARIANT_ENUM_PARAMS(typename T1)>
struct boost::geometry::resolve_variant::variant< BOOST_VARIANT_ENUM_PARAMS(T2)>>

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T1) >
template<typename Strategy >

static bool boost::geometry::resolve_variant::variant< BOOST_VARIANT_ENUM_PARAMS(T2)>>::apply | ( | boost::variant< BOOST_VARIANT_ENUM_PARAMS(T1)> const & | geometry1,
|  | boost::variant< BOOST_VARIANT_ENUM_PARAMS(T2)> const & | geometry2,
|  | Strategy const & | strategy
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK